Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Problem porting from RAP 2.0 to RAP 2.2(Missing Constraints for junit entries under Kepler)
Problem porting from RAP 2.0 to RAP 2.2 [message #1232505] Fri, 17 January 2014 04:30 Go to next message
Charles Tubbs is currently offline Charles Tubbs
Messages: 35
Registered: March 2012
Member
When attempting to execute an application ported from RAP 2.0 to RAP 2.2, under Kepler, I get a 404 Error after several Missing Constraint exceptions for :

org.hamcrest.core; bundle-version="1.3.0"
org.junit; bundle-version="3.8.2"
org.junit; bundle-version="[3.8.2,5.0.0)"
org.eclipse.jdt.junit.runtime; bundle-version="0.0.0"

The application is not using junit. Does anybody know offhand if there is some way to either resolve these references or to remove them? The same code will run under RAP 2.1 on the Juno platform but not Kepler.
Re: Problem porting from RAP 2.0 to RAP 2.2 [message #1232618 is a reply to message #1232505] Fri, 17 January 2014 10:40 Go to previous messageGo to next message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

JUnit 3.x is not contained in the RAP 2.2 target platform anymore.
However, your application shouldn't depend on junit anyway. So you have
to sort out for which bundles those Missing Constraint exceptions occur.
Could you post the entire output of the OSGi console?

Regards,
Ralf

--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: Problem porting from RAP 2.0 to RAP 2.2 [message #1232783 is a reply to message #1232618] Fri, 17 January 2014 18:21 Go to previous messageGo to next message
Charles Tubbs is currently offline Charles Tubbs
Messages: 35
Registered: March 2012
Member
Thanks! I don't remember how to get an OSGI console. This is the consoleLog created by my execution:

2014-01-17 09:54:41.281:INFO:oejs.Server:jetty-8.1.10.v20130312
2014-01-17 09:54:41.317:INFO:oejs.AbstractConnector:Started SelectChannelConnector@0.0.0.0:53813
!SESSION 2014-01-17 09:54:40.273 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_25
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Command-line arguments: -dev file:/usr/eclipse/rap/.metadata/.plugins/org.eclipse.pde.core/UltraMED XD/dev.properties -os linux -ws gtk -arch x86 -consoleLog -console -data /usr/eclipse/rap/.metadata/.plugins/org.eclipse.rap.ui.launch/UltraMEDXD

!ENTRY org.junit 4 0 2014-01-17 09:54:41.373
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "org.junit_4.11.0.v201303080030 " could not be resolved. Reason: Missing Constraint: Require-Bundle: org.hamcrest.core; bundle-version="1.3.0"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.jdt.junit.runtime 4 0 2014-01-17 09:54:41.424
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "org.eclipse.jdt.junit.runtime_3.4.400.v20130514-0733 " could not be resolved. Reason: Missing Constraint: Require-Bundle: org.junit; bundle-version="3.8.2"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.rap.junit.runtime 4 0 2014-01-17 09:54:41.449
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "org.eclipse.rap.junit.runtime_2.2.0.20130702-1310 " could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.jdt.junit.runtime; bundle-version="0.0.0"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.rap.junit 4 0 2014-01-17 09:54:41.455
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "org.eclipse.rap.junit_2.2.0.20130702-1310 [979]" could not be resolved. Reason: Missing Constraint: Require-Bundle: org.junit; bundle-version="[3.8.2,5.0.0)"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
osgi>
!ENTRY org.eclipse.rap.rwt.osgi 4 0 2014-01-17 09:54:43.334
!MESSAGE Unable to start RWT application.
!STACK 0
java.lang.RuntimeException: org.osgi.service.http.NamespaceException: The alias '/rwt-resources' is already in use.
at org.eclipse.rap.rwt.osgi.internal.ApplicationReferenceImpl.registerResourceDirectory(ApplicationReferenceImpl.java:197)
at org.eclipse.rap.rwt.osgi.internal.ApplicationReferenceImpl.startRWTApplication(ApplicationReferenceImpl.java:79)
at org.eclipse.rap.rwt.osgi.internal.ApplicationReferenceImpl.start(ApplicationReferenceImpl.java:63)
at org.eclipse.rap.rwt.osgi.internal.ApplicationLauncherImpl.doLaunch(ApplicationLauncherImpl.java:105)
at org.eclipse.rap.rwt.osgi.internal.ApplicationLauncherImpl.launch(ApplicationLauncherImpl.java:87)
at org.eclipse.rap.rwt.osgi.internal.ApplicationLauncherImpl.launch(ApplicationLauncherImpl.java:164)
at org.eclipse.rap.rwt.osgi.internal.ApplicationLauncherImpl.launchWithConfiguration(ApplicationLauncherImpl.java:151)
at org.eclipse.rap.rwt.osgi.internal.ApplicationLauncherImpl.addConfiguration(ApplicationLauncherImpl.java:66)
at org.eclipse.rap.rwt.osgi.internal.ApplicationConfigurationTracker.addingService(ApplicationConfigurationTracker.java:35)
at org.eclipse.rap.rwt.osgi.internal.ApplicationConfigurationTracker.addingService(ApplicationConfigurationTracker.java:1)
at org.osgi.util.tracker.ServiceTracker$Tracked.customizerAdding(ServiceTracker.java:932)
at org.osgi.util.tracker.ServiceTracker$Tracked.customizerAdding(ServiceTracker.java:1)
at org.osgi.util.tracker.AbstractTracked.trackAdding(AbstractTracked.java:256)
at org.osgi.util.tracker.AbstractTracked.trackInitial(AbstractTracked.java:183)
at org.osgi.util.tracker.ServiceTracker.open(ServiceTracker.java:317)
at org.osgi.util.tracker.ServiceTracker.open(ServiceTracker.java:261)
at org.eclipse.rap.rwt.osgi.internal.Activator.openConfiguratorTracker(Activator.java:55)
at org.eclipse.rap.rwt.osgi.internal.Activator.start(Activator.java:28)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:381)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
Caused by: org.osgi.service.http.NamespaceException: The alias '/rwt-resources' is already in use.
at org.eclipse.equinox.http.servlet.internal.ProxyServlet.registerServlet(ProxyServlet.java:169)
at org.eclipse.equinox.http.servlet.internal.ProxyServlet.registerResources(ProxyServlet.java:199)
at org.eclipse.equinox.http.servlet.internal.HttpServiceImpl.registerResources(HttpServiceImpl.java:78)
at org.eclipse.rap.rwt.osgi.internal.ApplicationReferenceImpl.registerResourceDirectory(ApplicationReferenceImpl.java:193)
... 32 more

!ENTRY org.eclipse.osgi 4 0 2014-01-17 09:54:43.341
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.jdt.junit.runtime_3.4.400.v20130514-0733.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2014-01-17 09:54:43.341
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.rap.junit.runtime_2.2.0.20130702-1310.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2014-01-17 09:54:43.342
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.rap.junit_2.2.0.20130702-1310.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2014-01-17 09:54:43.342
!MESSAGE Bundle initial@reference:file:plugins/org.junit_4.11.0.v201303080030/ was not resolved.
Re: Problem porting from RAP 2.0 to RAP 2.2 [message #1233705 is a reply to message #1232783] Mon, 20 January 2014 10:06 Go to previous messageGo to next message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

There are different problems. First, the bundles
* org.eclipse.rap.junit and
* org.eclipse.rap.junit.runtime
should probably not be needed in your application.

The second one is that you try to run different applications on the same
context path. This is indicated by the error message "The alias
'/rwt-resources' is already in use" (see [1]).

You can enable the equinox console by uncommenting the -console option
in the web.xml, or when running from the IDE, by adding this option to
your launch configuration.

HTH, Ralf


[1]
http://wiki.eclipse.org/RAP/FAQ#NamespaceException:_The_alias_.27.2Frwt-resources.27_is_already_in_use

--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: Problem porting from RAP 2.0 to RAP 2.2 [message #1234004 is a reply to message #1233705] Tue, 21 January 2014 02:09 Go to previous messageGo to next message
Charles Tubbs is currently offline Charles Tubbs
Messages: 35
Registered: March 2012
Member
I removed the junit bundles from the launcher and added "-Dorg.eclipse.rap.workbenchAutostart=false" to the VM arguments in the launcher to get rid of the '/rwt-resources' is already in use messages. I still get a 404 error in Kepler. Targets for 2.0 and 2.1 but not 2.2 run in Juno. None of them run in Kepler. I have listed copies of the consoles, after an ss command for 2.1 targets in Juno and Kepler below. They seem identical except for timestamps and port numbers.


CONSOLE FOR RAP 2.1 TARGET UNDER ECLIPSE JUNO -- PROGRAM FUNCTIONS CORRECTLY
============================================================================


2014-01-20 17:48:29.339:INFO:oejs.Server:jetty-8.1.10.v20130312
2014-01-20 17:48:29.371:INFO:oejs.AbstractConnector:Started SelectChannelConnector@0.0.0.0:56660
osgi> ss
"Framework is launched."


id State Bundle
0 ACTIVE org.eclipse.osgi_3.9.0.v20130529-1710
678 ACTIVE javax.servlet_3.0.0.v201112011016
697 ACTIVE co.umed.xd_1.0.0.qualifier
701 ACTIVE co.umed.linpipes_1.0.0.qualifier
713 ACTIVE javax.xml_1.3.4.v201005080400
920 ACTIVE org.eclipse.jetty.http_8.1.10.v20130312
921 ACTIVE org.apache.felix.gogo.runtime_0.10.0.v201209301036
922 ACTIVE org.eclipse.core.databinding_1.4.1.v20130515-1857
923 ACTIVE org.eclipse.help_3.6.0.v20130326-1254
925 ACTIVE org.eclipse.jetty.security_8.1.10.v20130312
926 ACTIVE org.eclipse.core.jobs_3.5.300.v20130429-1813
927 ACTIVE org.eclipse.jetty.continuation_8.1.10.v20130312
928 ACTIVE org.eclipse.equinox.app_1.3.100.v20130327-1442
929 ACTIVE org.eclipse.core.expressions_3.4.500.v20130515-1343
932 ACTIVE org.eclipse.equinox.common_3.6.200.v20130402-1505
933 ACTIVE org.eclipse.equinox.http.servlet_1.1.400.v20130418-1354
934 ACTIVE org.eclipse.osgi.services_3.3.100.v20130513-1956
935 ACTIVE org.eclipse.jetty.servlet_8.1.10.v20130312
936 ACTIVE org.eclipse.equinox.http.jetty_3.0.100.v20130327-1442
937 ACTIVE org.eclipse.equinox.preferences_3.5.100.v20130422-1538
938 ACTIVE com.ibm.icu.base_50.1.1.v201304230130
940 ACTIVE org.eclipse.core.databinding.property_1.4.200.v20130515-1857
941 ACTIVE org.apache.felix.gogo.shell_0.10.0.v201212101605
944 ACTIVE org.eclipse.jetty.util_8.1.10.v20130312
950 ACTIVE org.eclipse.equinox.util_1.0.500.v20130404-1337
951 ACTIVE org.eclipse.equinox.console_1.0.100.v20130429-0953
952 ACTIVE org.eclipse.core.contenttype_3.4.200.v20130326-1255
954 ACTIVE org.eclipse.jetty.server_8.1.10.v20130312
957 ACTIVE org.eclipse.core.runtime_3.9.0.v20130326-1255
958 ACTIVE org.apache.felix.gogo.command_0.10.0.v201209301215
959 ACTIVE org.eclipse.core.databinding.observable_1.4.1.v20130515-1857
960 ACTIVE org.eclipse.core.databinding.beans_1.2.200.v20130515-1857
962 ACTIVE org.eclipse.equinox.http.registry_1.1.300.v20130402-1529
963 ACTIVE org.eclipse.equinox.servletbridge_1.2.300.v20130508-1243
964 ACTIVE org.eclipse.core.commands_3.6.100.v20130515-1857
965 ACTIVE org.eclipse.equinox.http.servletbridge_1.0.300.v20130327-1442
966 ACTIVE org.eclipse.jetty.io_8.1.10.v20130312
983 ACTIVE org.eclipse.rap.ui.forms_2.1.0.20130506-1748
984 ACTIVE org.eclipse.rap.ui_2.1.0.20130604-1251
985 ACTIVE org.eclipse.rap.ui.workbench_2.1.0.20130506-1748
986 ACTIVE org.eclipse.rap.rwt.testfixture_2.1.0.20130607-1416
987 ACTIVE org.eclipse.rap.jface_2.1.0.20130506-1748
988 ACTIVE org.eclipse.rap.jface.databinding_2.1.0.20130506-1748
989 ACTIVE org.eclipse.rap.ui.views_2.1.0.20130506-1748
990 ACTIVE org.eclipse.equinox.ds_1.4.100.v20130515-2026
991 ACTIVE org.eclipse.equinox.registry_3.5.300.v20130327-1442
992 ACTIVE org.eclipse.rap.ui.cheatsheets_2.1.0.20130506-1748
993 ACTIVE org.eclipse.rap.rwt_2.1.0.20130611-2139
994 ACTIVE org.eclipse.rap.rwt.osgi_2.1.0.20130506-1748
osgi>


CONSOLE FOR RAP 2.1 TARGET UNDER ECLIPSE KEPLER -- PRODUCES HTTP ERROR 404
============================================================================


2014-01-20 17:51:48.876:INFO:oejs.Server:jetty-8.1.10.v20130312
2014-01-20 17:51:48.906:INFO:oejs.AbstractConnector:Started SelectChannelConnector@0.0.0.0:52545
osgi> ss
"Framework is launched."


id State Bundle
0 ACTIVE org.eclipse.osgi_3.9.0.v20130529-1710
678 ACTIVE javax.servlet_3.0.0.v201112011016
697 ACTIVE co.umed.xd_1.0.0.qualifier
701 ACTIVE co.umed.linpipes_1.0.0.qualifier
713 ACTIVE javax.xml_1.3.4.v201005080400
920 ACTIVE org.eclipse.jetty.http_8.1.10.v20130312
921 ACTIVE org.apache.felix.gogo.runtime_0.10.0.v201209301036
922 ACTIVE org.eclipse.core.databinding_1.4.1.v20130515-1857
923 ACTIVE org.eclipse.help_3.6.0.v20130326-1254
925 ACTIVE org.eclipse.jetty.security_8.1.10.v20130312
926 ACTIVE org.eclipse.core.jobs_3.5.300.v20130429-1813
927 ACTIVE org.eclipse.jetty.continuation_8.1.10.v20130312
928 ACTIVE org.eclipse.equinox.app_1.3.100.v20130327-1442
929 ACTIVE org.eclipse.core.expressions_3.4.500.v20130515-1343
932 ACTIVE org.eclipse.equinox.common_3.6.200.v20130402-1505
933 ACTIVE org.eclipse.equinox.http.servlet_1.1.400.v20130418-1354
934 ACTIVE org.eclipse.osgi.services_3.3.100.v20130513-1956
935 ACTIVE org.eclipse.jetty.servlet_8.1.10.v20130312
936 ACTIVE org.eclipse.equinox.http.jetty_3.0.100.v20130327-1442
937 ACTIVE org.eclipse.equinox.preferences_3.5.100.v20130422-1538
938 ACTIVE com.ibm.icu.base_50.1.1.v201304230130
940 ACTIVE org.eclipse.core.databinding.property_1.4.200.v20130515-1857
941 ACTIVE org.apache.felix.gogo.shell_0.10.0.v201212101605
944 ACTIVE org.eclipse.jetty.util_8.1.10.v20130312
950 ACTIVE org.eclipse.equinox.util_1.0.500.v20130404-1337
951 ACTIVE org.eclipse.equinox.console_1.0.100.v20130429-0953
952 ACTIVE org.eclipse.core.contenttype_3.4.200.v20130326-1255
954 ACTIVE org.eclipse.jetty.server_8.1.10.v20130312
957 ACTIVE org.eclipse.core.runtime_3.9.0.v20130326-1255
958 ACTIVE org.apache.felix.gogo.command_0.10.0.v201209301215
959 ACTIVE org.eclipse.core.databinding.observable_1.4.1.v20130515-1857
960 ACTIVE org.eclipse.core.databinding.beans_1.2.200.v20130515-1857
962 ACTIVE org.eclipse.equinox.http.registry_1.1.300.v20130402-1529
963 ACTIVE org.eclipse.equinox.servletbridge_1.2.300.v20130508-1243
964 ACTIVE org.eclipse.core.commands_3.6.100.v20130515-1857
965 ACTIVE org.eclipse.equinox.http.servletbridge_1.0.300.v20130327-1442
966 ACTIVE org.eclipse.jetty.io_8.1.10.v20130312
983 ACTIVE org.eclipse.rap.ui.forms_2.1.0.20130506-1748
984 ACTIVE org.eclipse.rap.ui_2.1.0.20130604-1251
985 ACTIVE org.eclipse.rap.ui.workbench_2.1.0.20130506-1748
986 ACTIVE org.eclipse.rap.rwt.testfixture_2.1.0.20130607-1416
987 ACTIVE org.eclipse.rap.jface_2.1.0.20130506-1748
988 ACTIVE org.eclipse.rap.jface.databinding_2.1.0.20130506-1748
989 ACTIVE org.eclipse.rap.ui.views_2.1.0.20130506-1748
990 ACTIVE org.eclipse.equinox.ds_1.4.100.v20130515-2026
991 ACTIVE org.eclipse.equinox.registry_3.5.300.v20130327-1442
992 ACTIVE org.eclipse.rap.ui.cheatsheets_2.1.0.20130506-1748
993 ACTIVE org.eclipse.rap.rwt_2.1.0.20130611-2139
994 ACTIVE org.eclipse.rap.rwt.osgi_2.1.0.20130506-1748
osgi>
Re: Problem porting from RAP 2.0 to RAP 2.2 [message #1234318 is a reply to message #1234004] Tue, 21 January 2014 17:20 Go to previous messageGo to next message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

I'm not aware of a regression between 2.1 and 2.2 that would lead to
this problem. Does the 404 remain when you press reload? Sometimes the
server is just not yet started entirely. Any other server-side exceptions?

Ralf

--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: Problem porting from RAP 2.0 to RAP 2.2 [message #1234347 is a reply to message #1234318] Tue, 21 January 2014 19:06 Go to previous messageGo to next message
Charles Tubbs is currently offline Charles Tubbs
Messages: 35
Registered: March 2012
Member
It seems to be a missing platform plug-in. I tried running the validate function in the war product wizard and got the following deployment error:

Library doesn't exist at location org.eclipse.equinox.servletbridge_1.2.200.v20120522-2049.jar

The Plug-ins view shows that I have org.eclipse.equinox.servletbridge (1.2.300.v20230508-1243) installed. Do you know how I can get the missing jar file?
Re: Problem porting from RAP 2.0 to RAP 2.2 [message #1234595 is a reply to message #1234347] Wed, 22 January 2014 10:27 Go to previous messageGo to next message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

> The Plug-ins view shows that I have org.eclipse.equinox.servletbridge
> (1.2.300.v20230508-1243) installed. Do you know how I can get the
> missing jar file?

The servletbridge version has changed and your war product still refers
to the old version. The jar is part of the target platform.

It should help to remove the servletbridge jar from the "Libraries"
section in the warproduct editor (tab "Configuration") and then press
"Add Required".

--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: Problem porting from RAP 2.0 to RAP 2.2 [message #1237860 is a reply to message #1234595] Thu, 30 January 2014 20:07 Go to previous message
Charles Tubbs is currently offline Charles Tubbs
Messages: 35
Registered: March 2012
Member
I still can't run a debug session. If I start Kepler from the command line the IDE console is clean of errors and the browser states that it could not connect to "127.0.0.0:xxx". The following errors appear in the Ubuntu command line console:

[3629:3629:0130/120434:ERROR:content_settings_pref_provider.cc(517)] Invalid pattern strings: *.*
[3629:3629:0130/120434:ERROR:content_settings_pref_provider.cc(401)] Invalid pattern strings: *.*
[3629:3657:0130/120434:ERROR:object_proxy.cc(627)] Failed to get name owner. Got org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.chromium.Mtpd': no such name
[3629:3657:0130/120434:ERROR:object_proxy.cc(627)] Failed to get name owner. Got org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.chromium.Mtpd': no such name
[3629:3629:0130/120434:ERROR:object_proxy.cc(532)] Failed to call method: org.chromium.Mtpd.EnumerateStorages: object_path= /org/chromium/Mtpd: org.freedesktop.DBus.Error.ServiceUnknown: The name org.chromium.Mtpd was not provided by any .service files
Previous Topic:Dialog "Configuration for..."
Next Topic:Images not visible
Goto Forum:
  


Current Time: Sun Sep 21 14:13:32 GMT 2014

Powered by FUDForum. Page generated in 0.03343 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software